Bug 98060 - Linked against both glib1 and glib2
Linked against both glib1 and glib2
Product: Red Hat Raw Hide
Classification: Retired
Component: pan (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Depends On:
  Show dependency treegraph
Reported: 2003-06-25 17:23 EDT by Ralph Loader
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.14.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-26 11:54:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ralph Loader 2003-06-25 17:23:08 EDT
Description of problem:

pan-0.14.0-1 is linked against both libglib-1.2 and libglib-2.0.  AFAICS, these
are not designed to co-exist - they export many duplicate functions.  Ditto

Steps to Reproduce:

ldd /usr/bin/pan | grep glib

Actual results:

pan is linked against two different versions of libglib.

Expected results:

Should be linked to libglib-2.0 (and gthread-2.0) but not libglib-1.2 (nor
Comment 1 Jens Petersen 2003-06-26 11:54:17 EDT
Thanks for the report.  Should be fixed in rawhide in next build.

Note You need to log in before you can comment on or make changes to this bug.